//
//  ContentInsightsBridge.m
//  ContentInsightsSDKIntegration
//
//  Created by apple on 11/10/20.
//

#import <Foundation/Foundation.h>
#import <RCTBridgeModule.h>

@interface RCT_EXTERN_MODULE(ContentInsightsSDKModule, NSObject)

RCT_EXTERN_METHOD(startArticleReadTracker: (NSString *) referrerUrl articleUrl: (NSString *) articleUrl postId: (NSString *) postId)
RCT_EXTERN_METHOD(startAttentionTracker: (NSString *) referrerUrl articleUrl: (NSString *) articleUrl postId: (NSString *) postId)
RCT_EXTERN_METHOD(setNewScrollPosition: (NSInteger) position)
RCT_EXTERN_METHOD(startAttention)
RCT_EXTERN_METHOD(pauseAttention)
RCT_EXTERN_METHOD(flushArticle)

@end
